## manila-ui 7.0.0+git2022091214.93070d3

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=5.5.0 # Apache-2.0
# Horizon Core Requirements
django-compressor>=2.0 # MIT
iso8601>=0.1.12 # MIT
oslo.utils>=4.7.0 # Apache-2.0
python-keystoneclient>=4.1.1 # Apache-2.0
python-manilaclient>=2.7.0 # Apache-2.0

horizon>=18.3.1  # Apache-2.0

=== debian/changelog ===
manila-ui (1:7.0.0+git2022091214.93070d3-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:49:37 -0400

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 firefox,
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-coverage,
 python3-ddt (>= 1.4.1),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-nose (>= 1.4.4),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-iso8601 (>= 0.1.12),
 python3-keystoneclient (>= 1:4.1.1),
 python3-manilaclient (>= 2.7.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslotest (>= 1:3.2.0),
 python3-oslo.utils (>= 4.7.0),
 python3-pytest,
 python3-selenium (>= 2.50.1),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.4.0),
 python3-testrepository (>= 0.0.20),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila-ui
Homepage: https://opendev.org/openstack/manila-ui
Testsuite: autopkgtest-pkg-python

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-iso8601 (>= 0.1.12),
 python3-keystoneclient (>= 1:4.1.1),
 python3-manilaclient (>= 2.7.0),
 python3-oslo.utils (>= 4.7.0),
 python3-pbr (>= 5.5.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3 Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 3 Manila OpenStack dashboard plugin.

## manila-ui 7.0.1

=== debian/changelog ===
manila-ui (7.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:23:02 +0000

manila-ui (7.0.0-2) unstable; urgency=medium

  * Add a few Django 4 patches (Closes: #1015117):
    - django-4-ugettext_lazy-is-removed.patch
    - django-4-django.conf.urls.url-is-removed.patch
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Jul 2022 17:18:47 +0200

manila-ui (7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 21:41:55 +0200

manila-ui (7.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 15:49:20 +0200

manila-ui (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 16:45:43 +0100

manila-ui (6.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:29:17 +0200

manila-ui (6.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:50:48 +0200

manila-ui (6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (Build-)depends on minimum horizon >= 20.0.0+git2020.09.21.27036cc0eb.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 14:54:06 +0200

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-coverage,
 python3-ddt,
 python3-django,
 python3-django-compressor,
 python3-django-horizon,
 python3-django-nose,
 python3-hacking,
 python3-iso8601,
 python3-keystoneclient,
 python3-manilaclient (>= 2.7.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme,
 python3-oslo.utils (>= 4.7.0),
 python3-pytest,
 python3-selenium,
 python3-testscenarios,
 python3-testtools,
 python3-xvfbwrapper,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/manila-ui
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/manila-ui.git
Homepage: https://github.com/hp-storage/manila-ui

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-django,
 python3-django-compressor,
 python3-iso8601,
 python3-keystoneclient,
 python3-manilaclient (>= 2.7.0),
 python3-oslo.utils (>= 4.7.0),
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Conflicts:
 python-manila-ui,
Description: OpenStack shared file system as a service - Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/manila_ui/local/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	# Copy local_settings.d to openstack-dashboard local_settings.d location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/manila_ui/local/local_settings.d/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; for i in $(PYTHON3S) ; do \
		PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=manila_ui.tests.settings \
			python$$i -m coverage run \
			$(CURDIR)/manage.py test manila_ui -v 2 --settings=manila_ui.tests.settings --exclude-tag integration; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## manila-ui 8.0.0

=== debian/changelog ===
manila-ui (8.0.0-2) unstable; urgency=medium

  * Removed build-depends on nose (Closes: #1018405).

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Nov 2022 15:14:11 +0100

manila-ui (8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 22:11:40 +0200

manila-ui (8.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:12:01 +0200

manila-ui (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Django 4 patches applied upstream:
    - django-4-ugettext_lazy-is-removed.patch
    - django-4-django.conf.urls.url-is-removed.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Sep 2022 17:09:54 +0200

=== debian/control ===
--- 
+++ 
@@ -20,15 +20,10 @@
  python3-django,
  python3-django-compressor,
  python3-django-horizon,
- python3-django-nose,
  python3-hacking,
  python3-iso8601,
  python3-keystoneclient,
  python3-manilaclient (>= 2.7.0),
- python3-nose,
- python3-nose-exclude,
- python3-nosehtmloutput,
- python3-openstack.nose-plugin,
  python3-openstackdocstheme,
  python3-oslo.utils (>= 4.7.0),
  python3-pytest,

=== debian/rules ===
--- 
+++ 
@@ -39,11 +39,7 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e ; for i in $(PYTHON3S) ; do \
-		PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp NOSE_WITH_OPENSTACK=1 \
-			NOSE_OPENSTACK_COLOR=1 \
-			NOSE_OPENSTACK_RED=0.05 \
-			NOSE_OPENSTACK_YELLOW=0.025 \
-			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
+		PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
 			DJANGO_SETTINGS_MODULE=manila_ui.tests.settings \
 			python$$i -m coverage run \
 			$(CURDIR)/manage.py test manila_ui -v 2 --settings=manila_ui.tests.settings --exclude-tag integration; \

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/manila-ui/tags .*/(\d[brc\d\.]+)\.tar\.gz

## manila-ui 8.0.0+git2023011010.d04fb0b0

=== debian/changelog ===
manila-ui (1:8.0.0+git2023011010.d04fb0b0-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:01:04 -0500

manila-ui (1:8.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 8.x series.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 16:49:18 -0400

## manila-ui 9.0.0~rc1+git2023030309.33467dba

=== debian/changelog ===
manila-ui (1:9.0.0~rc1+git2023030309.33467dba-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:27:44 -0500

## manila-ui 9.0.0

=== debian/changelog ===
manila-ui (1:9.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:49:21 -0400

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 firefox,
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-coverage,
 python3-ddt (>= 1.4.1),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-nose (>= 1.4.4),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-iso8601 (>= 0.1.12),
 python3-keystoneclient (>= 1:4.1.1),
 python3-manilaclient (>= 2.7.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslotest (>= 1:3.2.0),
 python3-oslo.utils (>= 4.7.0),
 python3-pytest (>= 5.3.5),
 python3-selenium (>= 2.50.1),
 python3-six (>= 1.10.0),
 python3-subunit (>= 1.4.0),
 python3-testrepository (>= 0.0.20),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila-ui
Homepage: https://opendev.org/openstack/manila-ui
Testsuite: autopkgtest-pkg-python

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-iso8601 (>= 0.1.12),
 python3-keystoneclient (>= 1:4.1.1),
 python3-manilaclient (>= 2.7.0),
 python3-oslo.utils (>= 4.7.0),
 python3-pbr (>= 5.5.0),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3 Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 3 Manila OpenStack dashboard plugin.

## manila-ui 9.0.0+git2023061415.e4aaf24c

=== debian/changelog ===
manila-ui (1:9.0.0+git2023061415.e4aaf24c-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * d/control: Drop firefox BD as it isn't currently used.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:07:29 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- firefox,
  openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
  python3-babel (>= 2.3.4),
  python3-coverage,

## manila-ui 9.0.0+git2023071214.315d2885

=== debian/changelog ===
manila-ui (1:9.0.0+git2023071214.315d2885-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:33:29 -0400

## manila-ui 9.0.0+git2023090714.8ffea4c8

=== debian/changelog ===
manila-ui (1:9.0.0+git2023090714.8ffea4c8-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/control, d/p/fix-test-failures-with-Django-4.x.patch: Fix test failures
    with Django 4.x.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:26:19 -0400

## manila-ui 9.0.1

=== debian/changelog ===
manila-ui (9.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Thu, 02 Oct 2025 09:59:00 +0000

manila-ui (9.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046384).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 00:01:11 +0200

manila-ui (9.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:32:56 +0200

manila-ui (9.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 15:29:55 +0100

manila-ui (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.
  * Removed Breaks: and Replaces, now obsolete after Bookworm's release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Mar 2023 09:53:25 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,10 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python3
 
-override_dh_clean:
-	dh_clean
-	rm -rf .coverage*
-
 override_dh_auto_clean:
-	python3 setup.py clean
+	rm -rf build .stestr *.egg-info .coverage
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## manila-ui 10.0.0

=== debian/changelog ===
manila-ui (10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:51:13 +0200

manila-ui (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 15:43:14 +0200

## manila-ui 10.0.1

=== debian/changelog ===
manila-ui (10.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 13:28:01 +0000

## manila-ui 11.0.0

=== debian/changelog ===
manila-ui (1:11.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:31:22 +0100

manila-ui (1:11.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 08:56:50 +0000

manila-ui (1:10.0.0+git2024020611.5c150c8c-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/p/manage.py-using-py3.patch: Drop, included upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Feb 2024 11:46:28 +0000

manila-ui (1:10.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * d/p/fix-test-failures-with-Django-4.x.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:03:18 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
+ openstack-dashboard (>= 4:23.2.0+git2023090509.7896fd8c-0ubuntu2~),
  python3-babel (>= 2.3.4),
  python3-coverage,
  python3-ddt (>= 1.4.1),
@@ -55,7 +55,7 @@
 Package: python3-manila-ui
 Architecture: all
 Depends:
- openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
+ openstack-dashboard (>= 4:23.2.0+git2023090509.7896fd8c-0ubuntu2~),
  python3-babel (>= 2.3.4),
  python3-django (>= 2:2.2),
  python3-django-compressor (>= 2.0),

## manila-ui 11.0.0+git2024080809.e3097a2d

=== debian/changelog ===
manila-ui (1:11.0.0+git2024080809.e3097a2d-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- Jadon Naas <jadon.naas@canonical.com>  Wed, 14 Aug 2024 09:33:09 +0100

## manila-ui 11.0.1

=== debian/changelog ===
manila-ui (11.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Thu, 06 Nov 2025 08:03:14 +0000

manila-ui (11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 21:23:46 +0200

manila-ui (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed manage.py-using-py3.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 15:11:41 +0100

## manila-ui 12.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
pbr>=5.5.0 # Apache-2.0
# Horizon Core Requirements
django-compressor>=2.0 # MIT
iso8601>=0.1.12 # MIT
oslo.utils>=4.7.0 # Apache-2.0
python-keystoneclient>=4.1.1 # Apache-2.0
python-manilaclient>=2.7.0 # Apache-2.0

horizon>=18.3.1  # Apache-2.0

=== debian/changelog ===
manila-ui (12.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090432).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:17:42 +0100

manila-ui (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Oct 2024 08:25:55 +0200

manila-ui (12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 23:04:30 +0200

manila-ui (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 10:05:54 +0200

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard,
 python3-coverage,
 python3-ddt,
 python3-django,
 python3-django-compressor,
 python3-django-horizon,
 python3-hacking,
 python3-iso8601,
 python3-keystoneclient,
 python3-manilaclient,
 python3-openstackdocstheme,
 python3-oslo.utils,
 python3-pytest,
 python3-selenium,
 python3-testscenarios,
 python3-testtools,
 python3-xvfbwrapper,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/manila-ui
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/manila-ui.git
Homepage: https://github.com/hp-storage/manila-ui

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard,
 python3-django,
 python3-django-compressor,
 python3-iso8601,
 python3-keystoneclient,
 python3-manilaclient,
 python3-oslo.utils,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila OpenStack dashboard plugin.

## manila-ui 12.0.0+git2025011511.76a7906

=== debian/changelog ===
manila-ui (1:12.0.0+git2025011511.76a7906-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Guillaume Boutry ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove unnecessary dependencies.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 21 Jan 2025 09:34:40 +0000

manila-ui (1:12.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:26:49 +0100

manila-ui (1:12.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2024 15:57:38 +0100

## manila-ui 12.0.0+git2025030311.76a7906

=== debian/changelog ===
manila-ui (1:12.0.0+git2025030311.76a7906-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 15:36:30 +0000

## manila-ui 13.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 pbr>=5.5.0 # Apache-2.0
 # Horizon Core Requirements
 django-compressor>=2.0 # MIT
-iso8601>=0.1.12 # MIT
 oslo.utils>=4.7.0 # Apache-2.0
 python-keystoneclient>=4.1.1 # Apache-2.0
 python-manilaclient>=2.7.0 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
sphinx>=2.1.1 # BSD
ddt>=1.0.1 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
oslotest>=3.2.0 # Apache-2.0

=== debian/changelog ===
manila-ui (1:13.0.0-0ubuntu1~cloud0) noble-epoxy; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Mon, 07 Apr 2025 15:59:29 +0000

manila-ui (1:13.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 19:14:39 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0(b|rc)/~$1/" \
 https://tarballs.opendev.org/openstack/manila-ui/ manila_ui-(13\.\d.*)\.tar\.gz

## manila-ui 13.0.0+git2025070714.ef523e0

=== debian/changelog ===
manila-ui (1:13.0.0+git2025070714.ef523e0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 24 Jul 2025 16:17:34 -0400

## manila-ui 14.0.0~rc1

=== debian/changelog ===
manila-ui (14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:49:59 +0200

manila-ui (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 13 Sep 2025 01:32:27 +0200

manila-ui (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:12:52 +0200

manila-ui (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:55:31 +0100

manila-ui (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2025 17:46:31 +0100

## manila-ui 14.0.0

=== debian/changelog ===
manila-ui (1:14.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 09:44:32 -0700

manila-ui (1:14.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 10:53:50 -0700

=== debian/control ===
Source: manila-ui
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools,
 python3-sphinx (>= 2.1.1),
Build-Depends-Indep:
 openstack-dashboard (>= 4:23.2.0+git2023090509.7896fd8c-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-coverage,
 python3-ddt (>= 1.4.1),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-nose (>= 1.4.4),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-iso8601 (>= 0.1.12),
 python3-keystoneclient (>= 1:4.1.1),
 python3-manilaclient (>= 2.7.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslotest (>= 1:3.2.0),
 python3-oslo.utils (>= 4.7.0),
 python3-pytest (>= 5.3.5),
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 1.4.0),
 python3-testrepository (>= 0.0.20),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-xvfbwrapper (>= 0.1.3),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila-ui
Homepage: https://opendev.org/openstack/manila-ui
Testsuite: autopkgtest-pkg-python

Package: python3-manila-ui
Architecture: all
Depends:
 openstack-dashboard (>= 4:23.2.0+git2023090509.7896fd8c-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-iso8601 (>= 0.1.12),
 python3-keystoneclient (>= 1:4.1.1),
 python3-manilaclient (>= 2.7.0),
 python3-oslo.utils (>= 4.7.0),
 python3-pbr (>= 5.5.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3 Dashboard plugin
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 3 Manila OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=manila_ui

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	#bash run_tests.sh -N --no-pep8
	set -e ; for i in $(PYTHON3S) ; do \
		PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/python3-manila-ui NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			DJANGO_SETTINGS_MODULE=manila_ui.tests.settings \
			python$$i -m coverage run \
			$(CURDIR)/manage.py test manila_ui.tests.api manila_ui.tests.dashboards -v 2 --settings=manila_ui.tests.settings ; \
	done
endif

	mkdir -p $(CURDIR)/debian/python3-manila-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/manila_ui/local/enabled/_9* $(CURDIR)/debian/python3-manila-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/manila_ui/local/enabled/_8* $(CURDIR)/debian/python3-manila-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled

	dh_install
	dh_missing --fail-missing

=== debian/watch ===
version=3
opts=uversionmangle=s/\.0(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/manila-ui/ manila_ui-(\d{1,2}\.\d.*)\.tar\.gz

## manila-ui 14.0.0+git20260116.16.4f4669a

=== debian/changelog ===
manila-ui (1:14.0.0+git20260116.16.4f4669a-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 14.0.0+git20260116.16.4f4669a
  * d/patches/*: refresh patches
  * New upstream snapshot from 4f4669a79e3f73f5ed90e5183618101783f5b234
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 14:38:49 -0800

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_clean:
 	dh_clean -O--buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/\.0(b|rc)/~$1/ \
 https://tarballs.opendev.org/openstack/manila-ui/ manila_ui-(\d{1,2}\.\d.*)\.tar\.gz
